FORMAX DEVELOPER API
  1. NSDL E-KYC PAN Card API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
    • Recharge Transaction
    • Recharge Callback
    • Recharge Status
    • Complaint
    • Operator List
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
      POST
    • Redirect URL
      GET
    • Incomplete URL
      GET
    • Response
      GET
    • Transaction Status
      POST
    • PAN Status
      POST
    • Android SDK
      VIEW
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. NSDL E-KYC PAN Card API

Response

GET
https://www.yourdomain.com/pan_response
Redirect Response Handling:
After successful completion of the NSDL PAN application process, the user will be redirected to the partner-provided redirect URL via the GET method.
The response will be sent as an encrypted parameter named encrypted_data.
GET {redirect_url}?encrypted_data={encrypted_string}
Decryption Guidelines:
The encrypted_data must be decrypted using AES-CBC-256.
The same secret key and IV used for generating X-Checksum should be used for decryption.
Refer to the AES implementation guide: https://github.com/mervick/aes-bridge
Decrypted Response (Sample):
After successful decryption, the response will be in JSON format:
{
"status": "SUCCESS",
"message": "Transaction Successful",
"data": {
"order_id": "NSDL14379882812500EFNFG",
"p_order_id": "P1234567899",
"ack_no": "990019703030190",
"error_message": null,
"date": "2022-06-03 11:45:22"
}
}

Request

Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://www.yourdomain.com/pan_response?encrypted_data=U2FsdGVkX18XZq6Jkuy6xvNl4K+h2c0GbunyENq3XNnRAIiYDYUgqMGQDUAKOxz2GN6QCr23adbabLsywnNWCo3tSeCJexKRglWYVbpXX/w/xeWDEW1Mv/vePiorW5knauYv1WJBcCZSKu+QlTHxD8X+70U1rTI4Q4P/OCrY4pU5k3B+WGeJ/0Y7NVXwT4fTzYQMqAaHkSsIodUrR6bLwFbu087ffrBpTwx28G1PZQ3uxvibrruPtUdmcztAWye2GKaemDCS6Brt6ivkByR7zJtS54BZ5BC1WDS2LErPlXMbbVH1Rorf/1QTGGRJCg3TDP68pCjRLtBua09HqoRWYLlWZHMvLTOFFm0VFQ6LWMI='
Response Response Example
{
    "status": "SUCCESS",
    "message": "Transaction Successful",
    "data": {
        "order_id": "NSDL14379882812500EFNFG",
        "p_order_id": " P1234567899",
        "ack_no": "990019703030190",
        "error_message": "null",
        "date": "2022-06-03 11:45:22"
    }
}
Modified at 2025-12-24 10:14:32
Previous
Incomplete URL
Next
Transaction Status
Built with